<!doctype html>
<html class="no-js" lang="zxx" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Addon Details</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" th:href="@{~/plugins/bootstrap/bootstrap.min.css}"/>
    <link rel="stylesheet" th:href="@{~/plugins/themefisher-fonts/themefisher-fonts.css}">
    <link rel="stylesheet" th:href="@{~/plugins/magnific-popup/magnific-popup.css}">
    <link rel="stylesheet" th:href="@{~/plugins/animate/animate.css}">
    <link rel="stylesheet" th:href="@{~/plugins/slick/slick.css}">
    <link rel="stylesheet" th:href="@{~/css/style.css}">
    <script th:src="@{~/plugins/modernizr.min.js}"></script>
</head>

<body>
<div class="loading">
    <div class="windows8 loading-position">
        <div class="wBall" id="wBall_1">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_2">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_3">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_4">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_5">
            <div class="wInnerBall"></div>
        </div>
    </div>
</div>

<nav class="navbar navbar-fixed-top navigation">
    <div class="container">
        <div class="navbar-header">
            <div>
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a th:href="@{/}" class="navbar-brand logo" href="index.html" style="background:linear-gradient(45deg,#E8ED84,#EE9D43,#EBD56F);
                -webkit-background-clip: text;-webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent; font-weight: bold; font-size: 26px;
        text-align: center!important; vertical-align: middle!important;">
                    <div style="padding-top: 7px; font-family: Georgia, cursive">
                        <img src="/images/puzzle.png" style="height: 45px; width:45px" alt="logo"/>ADDONIS m3mbers
                    </div>
                </a>
            </div>
        </div>
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <ul class="nav navbar-nav navbar-right menu">
                <li><a th:href="@{/addons}" href="addons-list.html">Marketplace</a></li>
                <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                    Sign Up</a></li>
                <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                    Login</a></li>
                <li><a th:href="@{'/users/'+${user.username}}" href="profile.html" sec:authorize="isAuthenticated()">
                    Profile</a></li>
                <li>
                <li><a th:href="@{/admin}" href="admin.html" sec:authorize="hasRole('ADMIN')">
                    Admin</a></li>
                <li>
                    <form id="myform"
                          style="cursor: pointer; vertical-align: middle!important; padding: 15px!important;"
                          th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                        <a onclick="document.getElementById('myform').submit()" style="color:papayawhip;text-decoration:none">Logout</a>
                    </form>
                </li>
            </ul>
        </div>
    </div>
</nav>

<section class="container portfolio">
    <div class="row">
        <div class="title text-center">
            <h2>Addon Details</h2>
        </div>
        <div class="col-md-12 col-md-offset-1">
            <div>
                <div class="p-flex-in">
                    <div>
                        <h2 class="p-name"><span th:text="${addon.name}"></span></h2>
                    </div>
                </div>
                <br/>
                <div class="p-name">Description: <span th:text="${addon.description}"></span></div>
                <div class="p-name">Creator: <span th:text="${addon.getCreator().getUsername()}"></span></div>
                <button type="button" class="btn btn-warning">
                    <a style="color: whitesmoke" th:href="@{'~/api/addons/'+${addon.addonId}+'/download'}">Download</a>
                </button>
                <br/>
                <br/>
                <div class="p-name">Tags: <span th:each="tag : *{addon.tags}">
                    <label class="btn btn-default th-btn solid-btn" th:text="${tag.getTag()}"></label>
                </span>
                </div>
                <div class="p-name">Downloads: <span th:text="${addon.getDownloads()}"></span></div>
                <div class="p-name">IDE: <span th:text="${addon.getIde().getIDEName()}"></span></div>
                <div class="p-name">Rating: <span th:text="${ratingDTO.getAvgRating()}"></span></div>
                <div class="p-name">Origin Link: <a class="btn btn-default th-btn solid-btn"
                    th:href="${addon.getOriginLink()}" th:text="${addon.getOriginLink()}"></a></div>
                <div class="p-name">Open issues: <span th:text="${addon.getGitHubInfo().getIssuesCount()}"></span>
                </div>
                <div class="p-name">Pull requests: <span
                        th:text="${addon.getGitHubInfo().getPullRequestsCount()}"></span></div>
                <div class="p-name">Last commit date: <span
                        th:text="${addon.getGitHubInfo().getLastCommitDate()}"></span></div>
                <div class="p-name">Last commit title: <span
                        th:text="${addon.getGitHubInfo().getLastCommitTitle()}"></span></div>
                <br>
                <div th:if="${ratingDTO.getRating()} != 0">
                    You have rated this addon with <span class="p-name"></span>
                </div>
                <div th:if="${addon.getTags().isEmpty()}">
                    You haven't added any tags to this addon yet. You can use the form below to do so!
                </div>
                <form th:if="${ratingDTO.getRating()} == 0" id="ratingForm" style="width:50%;"
                      th:action="@{'/addon/rate/' + ${addon.addonId}}"
                      th:object="${ratingDTO}"
                      sec:authorize="isAuthenticated()"
                      method="post">
                    <div class="form-group">
                        <label for="rateMyAddon">Add rating to addon:</label>
                        <div style="padding-bottom: 5px!important;">
                            <select style="background-color: papayawhip; color: #111111;" class="form-control" id="rateMyAddon" th:field="${ratingDTO.rating}">
                                <option th:value="1">1 - Awful!</option>
                                <option th:value="2">2 - Dissatisfied!</option>
                                <option th:value="3">3 - Neutral!</option>
                                <option th:value="4">4 - Satisfied!</option>
                                <option th:value="5">5 - Great Work!</option>
                                <option th:value="6">6 - Absolutely exceeds expectations!</option>
                            </select>
                        </div>
                        <button style="padding-top: 10px;" type="submit" class="btn btn-warning">
                            Add rating
                        </button>
                    </div>
                </form>
                <form id="tagsForm" style="width:50%;"
                      th:action="@{'/addon/' +${addon.addonId} + '/tag'}"
                      sec:authorize="isAuthenticated()"
                      th:if="${#authentication.name == addon.getCreator().getUsername() ||
                       #authorization.expression('hasRole(''ADMIN'')')}" method="post" th:object="${tagDto}">
                    <div class="form-group">
                        <label for="tagMyAddon">Add tag to addon:</label>
                        <div style="padding-bottom: 5px!important;">
                            <select style="background-color: papayawhip; color: #111111;" class="form-control" th:name="tag" id="tagMyAddon">
                                <option th:each="tag : ${allTags}"
                                        th:text="${tag.getTag()}"
                                        th:value="${tag.getTag()}"></option>
                            </select>
                        </div>
                        <button style="padding-top: 10px;" type="submit" class="btn btn-warning"
                                sec:authorize="isAuthenticated()"
                                th:if="${#authentication.name == addon.getCreator().getUsername() ||
                                 #authorization.expression('hasRole(''ADMIN'')')}">Add tag
                        </button>
                    </div>
                </form>
            </div>
            <br/>
            <button type="button" class="btn btn-warning" sec:authorize="isAuthenticated()">
                <a style="color: whitesmoke" th:href="@{'/addon/update/'+${id}}"
                   th:if="${#authentication.name == addon.getCreator().getUsername() ||
                    #authorization.expression('hasRole(''ADMIN'')')}">Edit addon</a>
            </button>
            <button type="button" class="btn btn-warning" data-toggle="modal" data-target="#deleteModal"
                    sec:authorize="isAuthenticated()"
                    th:if="${#authentication.name == addon.getCreator().getUsername() ||
                     #authorization.expression('hasRole(''ADMIN'')')}">Delete addon
            </button>
            <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title text-warning" id="exampleModalLabel">
                                <span class="text-warning">Delete confirmation</span>
                            </h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <span class="text-danger">Are you sure? This action is irreversible</span>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                <span class="text-primary">Close</span>
                            </button>
                            <button type="button" class="btn btn-danger">
                                <a class="btn-danger" th:href="@{'/addon/delete/'+${id}}"> Delete addon </a>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="container">
                <div class="footer-nav text-center">
                    <div class="col-md-12">
                        <ul>
                            <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                                Sign Up</a></li>
                            <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                                Login</a></li>
                            <li><a th:href="@{'/users/'+${user.username}}" href="profile.html"
                                   sec:authorize="isAuthenticated()">Profile</a></li>
                            <li>
                                <form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                                    <a onclick="document.getElementById('myform').submit()" style="color:papayawhip;text-decoration:none">Logout</a>
                                </form>
                        </ul>
                    </div>
                </div>
                <div class="text-center">
                    <div class="col-md-12">
                        <div class="copyright">
                            <p>&copy; 2020 All rights reserved. <br>
                                Design and Developed By Addonis M3mbers</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>

<script th:src="@{~/plugins/jquery.min.js}"></script>
<script th:src="@{~/plugins/bootstrap/bootstrap.min.js}"></script>
<script th:src="@{~/plugins/slick/slick.min.js}"></script>
<script th:src="@{~/plugins/filterizr/jquery.filterizr.min.js}"></script>
<script th:src="@{~/plugins/magnific-popup/jquery.magnific-popup.min.js}"></script>
<script th:src="@{~/plugins/parallax.min.js}"></script>
<script th:src="@{~/plugins/jquery.vide.js}"></script>
<script th:src="@{/js/script.js}"></script>
</body>
</html>
